PGAGetCrossoverType(3)

NAME
PGAGetCrossoverType - Returns the type of crossover selected

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetCrossoverType(ctx)
PGAContext *ctx

LOCATION
cross.c

EXAMPLE
Example:
PGAContext *ctx;
int crosstype;
:
crosstype = PGAGetCrossoverType(ctx);
switch (crosstype) {
case PGA_CROSSOVER_ONEPT:
printf("Crossover Type = PGA_CROSSOVER_ONEPT);
break;
case PGA_CROSSOVER_TWOPT:
printf("Crossover Type = PGA_CROSSOVER_TWOPT);
break;
case PGA_CROSSOVER_UNIFORM:
printf("Crossover Type = PGA_CROSSOVER_UNIFORM);
break;
}